------------------------------------------------------------------------------------
--Name:  	juedou
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-09-29
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(320, 191)
local Player_1 = CppScriptMgr:AddSimplePlayer(31972, 324, 193, "", 0, 0)
Player_1:SetDir(6)
local Player_2 = CppScriptMgr:AddPlayer(225, 317, 191, "", 0, 0)
Player_2:SetDir(6)
Player_2:SetZoomPercent(150)
local Player_3 = CppScriptMgr:AddPlayer(225, 321, 197, "", 0, 0)
Player_3:SetDir(5)
Player_3:SetZoomPercent(150)
local Player_4 = CppScriptMgr:AddPlayer(225, 318, 186, "", 0, 0)
Player_4:SetDir(0)
Player_4:SetZoomPercent(150)
local Player_5 = CppScriptMgr:AddPlayer(225, 324, 188, "", 0, 0)
Player_5:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(500)
Player_2:Say("Where are you running to!", 1500)
CppScriptMgr:WaitMilSec(210)
Player_2:SetAction(401)
local effect_0 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 324, 193, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(280)
Player_1:Say("Ouch, ouch!", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1510)
Player_3:Say("It`s an honor to sacrifice your soul to Nether Duke!", 1500)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(490)
Player_5:SetAction(101)
CppScriptMgr:WaitMilSec(1010)
Player_1:Say("Help! Help!", 1500)
Player_4:Say("No more talking! Tie it up!", 1500)
Player_1:SetAction(101)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(2970)